# frozen_string_literal: true
require 'telegram/bot'
require 'colorize'

# Load main application dependencies
require "telegram/bot_manager/version.rb"
require "telegram/bot_manager/configuration.rb"
require "telegram/bot_manager/bot_configuration.rb"
require "telegram/bot_manager/logger.rb"
require "telegram/bot_manager/localizer.rb"
require "telegram/bot_manager/view.rb"
require "telegram/bot_manager/message.rb"
require "telegram/bot_manager/application.rb"
require "telegram/bot_manager/callback_query.rb"
require "telegram/bot_manager/controller.rb"
require "telegram/bot_manager/bot_class_methods.rb"

module Telegram
  module BotManager

    class << self
      attr_accessor :configuration
    end

    def self.configuration
      @configuration ||= Configuration.new
    end

    def self.configure
      yield(configuration)
    end

  end
end

